<template>
  <v-header :title="item.label" backgroundColor="#fff" scroll async @fetch="fetch">
    <view class="agreement-screen html-all" v-html="info"></view>
  </v-header>
</template>

<script>
import vHeader from '@/components/v-header/main.vue';
import params from '@/mixins/params';
import data from './data/data';
import html from '@/utils/tool/html';
import globalMixins from '@/mixins/global';
export default {
  name: "agreement",
  mixins:[params,globalMixins],
  data(){
    return {
      item:{},
      info:''
    }
  },
  components:{
    vHeader
  },

  methods:{
    fetch(obj){
      this.$request({
        url:'index/getConfigDate',
        cache:true,
        data:{
          word: this.item.type
        }
      }).then((data)=>{
        this.info = html.parseHtml(data.data);
        return obj.success();
      }).catch(obj.fail);
    }
  },

  onLoad(){
    this.item = data[this.$params.type] || data.privacy;
  }

}
</script>

<style lang="scss" src="./style.scss">

</style>